.modal {
    display: none;
    position: fixed;
    z-index: 100;
    padding-top: 100px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.4);
}

/* Modal Content */
.modal-content {
    position: absolute;
    background-color: #ffffff;
    margin: auto;
    padding: 10px;
    border: 1px solid #888;
    border-radius: 10px;
    left: 50%;
    top: 50%;
    width: 500px;
    transform: translate(-50%, -50%);
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.15);
    text-align: center;
}

/* The Close Button */
.btn-close,
.btn-today-close {
    color: #aaaaaa;
    float: right;
    font-size: 16px;
    font-weight: bold;
    margin: 10px;
}

.btn-close:hover,
.btn-close:focus,
.btn-today-close:hover,
.btn-today-close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}